# cmd_twitch.py
from twitchio.ext import commands
from cmd_common import common_commands as cc

def setup(bot):
    @bot.command(name="greet")
    async def greet(ctx):
        result = cc.greet(ctx.author.display_name, "Twitch")
        await ctx.send(result)

    @bot.command(name="ping")
    async def ping(ctx):
        result = cc.ping()
        await ctx.send(result)

    @bot.command(name="howl")
    async def howl_command(ctx):
        result = cc.generate_howl_message(ctx.author.display_name)
        await ctx.send(result)
